%lib_package faac 0
%global debug_package %{nil}
%bcond_with debug

Summary: Freeware Advanced Audio Coder
Name: faac
Version: 1.29.9.2
Release: 9%{?dist}
License: LGPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#Patch0: faac-1.28-excessivedefines.patch
#Patch1: faac-fprintf.patch
#Patch2: faac-libmp4v2.patch
#Patch2: faac-gcc6.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++
#BuildRequires: dos2unix
%lib_dependencies
Obsoletes: libmp4v2_0

%description
The ISO/MPEG 2/4 AAC Encoder Library provides a high-level interface
for encodin g MPEG2 and MPEG4 ISO AAC files.

%prep
%setup -q
%autosetup -p1
rm aclocal.m4
aclocal
autoconf

%build
./configure --prefix=/usr --libdir=%{_libdir} --disable-static && make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO docs/*
%{_bindir}/faac
%{_mandir}/man1/faac.1*
#%{_libdir}/libfaac_drm.so.0
#%{_libdir}/libfaac_drm.so.0.0.0

%changelog
* Wed Nov 22 2017 Stephen Collier <stephenbcollier@gmail.com> 1.29.9.2-9
- Update to 1.29.9.2

* Wed Jul 12 2017 Stephen Collier <stephenbcollier@gmail.com> 1.29-9
- Update to 1.29

* Sat Jun 25 2016 Stephen Collier <stephenbcollier@gmail.com> 1.28-8
- Fix for compile f24

* Mon Jul 28 2014 Stephen Collier <stephenbcollier@gmail.com> 1.28-7
- Fix for compile f21

* Sun Mar  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.28-4
- Update to 1.28.

* Sun Feb 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.26-3
- Update to 1.26.

* Fri Feb 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.25-2
- Get package-w-o-upstream out of the way.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

